Subject: Fw: hundredth

From: "Micah Ladd" <[email-masked]>
Date: Wed, 13 Oct 2004 18:47:39 -0800

Had this link sent to me on my palm pilot.  http://www.ezfilesharing.com/ref44.html
You can download dvd movies, full cd albums and stuff.  Even console video games.  I noticed they had 2 dvd movies I wanted on there.  I downloaded those, they work fine.
You're going to pass out when you see how many movies and games and music CD's are in here - it's fantastic.
They show you how to burn em to CD and everything.
My favorite part is the movies area, theres movies listed in here for download that are still in theaters - plump crazy :)
I'll talk to you later.

Heidi